This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: FTP tests of test_urllib2net fail on Travis CI: 425 Security: Bad IP connecting.
Type: Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, larry, lukasz.langa, miss-islington, ned.deily, orsenthil, serhiy.storchaka, vstinner
Priority: release blocker Keywords: patch

Created on 2018-12-04 22:08 by vstinner, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10906 closed vstinner, 2018-12-04 22:41
PR 10907 merged vstinner, 2018-12-04 23:51
PR 10908 merged miss-islington, 2018-12-05 00:58
PR 10909 merged miss-islington, 2018-12-05 00:58
PR 10910 merged miss-islington, 2018-12-05 01:01
PR 11016 closed vstinner, 2018-12-07 11:05
PR 11869 vstinner, 2019-02-15 12:21
PR 11874 merged vstinner, 2019-02-15 13:10
Messages (13)
msg331078 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-04 22:08
ERROR: test_ftp (test.test_urllib2net.OtherNetworkTests) (url='ftp://www.pythontest.net/README')
ERROR: test_ftp_basic (test.test_urllib2net.TimeoutTest)
ERROR: test_ftp_default_timeout (test.test_urllib2net.TimeoutTest)
ERROR: test_ftp_no_timeout (test.test_urllib2net.TimeoutTest)
ERROR: test_ftp_timeout (test.test_urllib2net.TimeoutTest)

It seems like Jython has a similar issue:
http://bugs.jython.org/issue2708

Logs from Travis CI job of https://github.com/python/cpython/pull/10898:

https://travis-ci.org/python/cpython/jobs/463422586

Re-running test 'test_urllib2net' in verbose mode
test_close (test.test_urllib2net.CloseSocketTest) ... ok
test_custom_headers (test.test_urllib2net.OtherNetworkTests) ... ok
test_file (test.test_urllib2net.OtherNetworkTests) ... ok
test_ftp (test.test_urllib2net.OtherNetworkTests) ... test_redirect_url_withfrag (test.test_urllib2net.OtherNetworkTests) ... ok
test_sites_no_connection_close (test.test_urllib2net.OtherNetworkTests) ... skipped 'XXX: http://www.imdb.com is gone'
test_urlwithfrag (test.test_urllib2net.OtherNetworkTests) ... ok
test_ftp_basic (test.test_urllib2net.TimeoutTest) ... ERROR
test_ftp_default_timeout (test.test_urllib2net.TimeoutTest) ... /home/travis/build/python/cpython/Lib/urllib/request.py:222: ResourceWarning: unclosed <socket.socket fd=4, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33700), raddr=('104.236.16.9', 21)>
  return opener.open(url, data, timeout)
/home/travis/build/python/cpython/Lib/urllib/request.py:222: ResourceWarning: unclosed <socket.socket fd=5, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33704), raddr=('104.236.16.9', 21)>
  return opener.open(url, data, timeout)
/home/travis/build/python/cpython/Lib/urllib/request.py:222: ResourceWarning: unclosed <socket.socket fd=7, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33708), raddr=('104.236.16.9', 21)>
  return opener.open(url, data, timeout)
ERROR
test_ftp_no_timeout (test.test_urllib2net.TimeoutTest) ... ERROR
test_ftp_timeout (test.test_urllib2net.TimeoutTest) ... ERROR
test_http_basic (test.test_urllib2net.TimeoutTest) ... ok
test_http_default_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_no_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_timeout (test.test_urllib2net.TimeoutTest) ... ok
======================================================================
ERROR: test_ftp (test.test_urllib2net.OtherNetworkTests) (url='ftp://www.pythontest.net/README')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2404, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
ftplib.error_temp: 425 Security: Bad IP connecting.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 219, in _test_urls
    f = urlopen(url, req, TIMEOUT)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 27, in wrapped
    return _retry_thrice(func, exc, *args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 23, in _retry_thrice
    raise last_exc
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 19, in _retry_thrice
    return func(*args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 543, in _open
    '_open', req)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1551, in ftp_open
    raise exc.with_traceback(sys.exc_info()[2])
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2404, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
urllib.error.URLError: <urlopen error ftp error: error_temp('425 Security: Bad IP connecting.')>
======================================================================
ERROR: test_ftp_basic (test.test_urllib2net.TimeoutTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
ftplib.error_temp: 425 Security: Bad IP connecting.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 296, in test_ftp_basic
    u = _urlopen_with_retry(self.FTP_HOST)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 27, in wrapped
    return _retry_thrice(func, exc, *args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 23, in _retry_thrice
    raise last_exc
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 19, in _retry_thrice
    return func(*args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 543, in _open
    '_open', req)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1551, in ftp_open
    raise exc.with_traceback(sys.exc_info()[2])
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
urllib.error.URLError: <urlopen error ftp error: error_temp('425 Security: Bad IP connecting.')>
======================================================================
ERROR: test_ftp_default_timeout (test.test_urllib2net.TimeoutTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
ftplib.error_temp: 425 Security: Bad IP connecting.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 305, in test_ftp_default_timeout
    u = _urlopen_with_retry(self.FTP_HOST)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 27, in wrapped
    return _retry_thrice(func, exc, *args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 23, in _retry_thrice
    raise last_exc
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 19, in _retry_thrice
    return func(*args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 543, in _open
    '_open', req)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1551, in ftp_open
    raise exc.with_traceback(sys.exc_info()[2])
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
urllib.error.URLError: <urlopen error ftp error: error_temp('425 Security: Bad IP connecting.')>
======================================================================
ERROR: test_ftp_no_timeout (test.test_urllib2net.TimeoutTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
ftplib.error_temp: 425 Security: Bad IP connecting.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 316, in test_ftp_no_timeout
    u = _urlopen_with_retry(self.FTP_HOST, timeout=None)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 27, in wrapped
    return _retry_thrice(func, exc, *args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 23, in _retry_thrice
    raise last_exc
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 19, in _retry_thrice
    return func(*args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 543, in _open
    '_open', req)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1551, in ftp_open
    raise exc.with_traceback(sys.exc_info()[2])
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
urllib.error.URLError: <urlopen error ftp error: error_temp('425 Security: Bad IP connecting.')>
======================================================================
ERROR: test_ftp_timeout (test.test_urllib2net.TimeoutTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
ftplib.error_temp: 425 Security: Bad IP connecting.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 324, in test_ftp_timeout
    u = _urlopen_with_retry(self.FTP_HOST, timeout=60)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 27, in wrapped
    return _retry_thrice(func, exc, *args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 23, in _retry_thrice
    raise last_exc
  File "/home/travis/build/python/cpython/Lib/test/test_urllib2net.py", line 19, in _retry_thrice
    return func(*args, **kwargs)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 543, in _open
    '_open', req)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1551, in ftp_open
    raise exc.with_traceback(sys.exc_info()[2])
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 1540, in ftp_open
    fp, retrlen = fw.retrfile(file, type)
  File "/home/travis/build/python/cpython/Lib/urllib/request.py", line 2425, in retrfile
    conn, retrlen = self.ftp.ntransfercmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 365, in ntransfercmd
    resp = self.sendcmd(cmd)
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 273, in sendcmd
    return self.getresp()
  File "/home/travis/build/python/cpython/Lib/ftplib.py", line 244, in getresp
    raise error_temp(resp)
urllib.error.URLError: <urlopen error ftp error: error_temp('425 Security: Bad IP connecting.')>
----------------------------------------------------------------------
Ran 15 tests in 5.693s
FAILED (errors=5, skipped=1)
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=8, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33712), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=4, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33716), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=5, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33720), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=7, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33724), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=9, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33728), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=10, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33732), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=11, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33736), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=12, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33740), raddr=('104.236.16.9', 21)>
  gc.collect()
/home/travis/build/python/cpython/Lib/test/support/__init__.py:1535: ResourceWarning: unclosed <socket.socket fd=13, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.20.2.47', 33744), raddr=('104.236.16.9', 21)>
  gc.collect()
test test_urllib2net failed
1 test failed again:
    test_urllib2net
msg331079 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-04 22:14
Another similar issue in a different project:
https://sagebionetworks.jira.com/browse/SYNPY-731

The fix... removed the test :-)
https://github.com/Sage-Bionetworks/synapsePythonClient/pull/571/files
msg331081 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-04 23:53
According to my PR 10906, FTP tests of test_urllib2net now also fail each time on master (not all of them, at least two tests fail).

I wrote PR 10907 to skip the tests on Travis CI. We have AppVeyor to run these tests in pre-commit, and the buildbot farm to test in post-commit.
msg331082 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-05 00:58
New changeset c11b3b19a5b022c6c229043d37f9a9fd06f22500 by Victor Stinner in branch 'master':
bpo-35411: Skip test_urllib2net FTP tests on Travis CI (GH-10907)
https://github.com/python/cpython/commit/c11b3b19a5b022c6c229043d37f9a9fd06f22500
msg331083 - (view) Author: miss-islington (miss-islington) Date: 2018-12-05 01:16
New changeset 74a80e1ed0c9067ef47f0a637d7f718a51b4f34e by Miss Islington (bot) in branch '3.7':
bpo-35411: Skip test_urllib2net FTP tests on Travis CI (GH-10907)
https://github.com/python/cpython/commit/74a80e1ed0c9067ef47f0a637d7f718a51b4f34e
msg331084 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-05 01:18
New changeset 65a5eff67474703329477b070d9c081fee17c69c by Victor Stinner (Miss Islington (bot)) in branch '3.6':
bpo-35411: Skip test_urllib2net FTP tests on Travis CI (GH-10907) (GH-10909)
https://github.com/python/cpython/commit/65a5eff67474703329477b070d9c081fee17c69c
msg331085 - (view) Author: miss-islington (miss-islington) Date: 2018-12-05 01:22
New changeset c7976da5c262be818a06c344d43ac09b1083c80b by Miss Islington (bot) in branch '2.7':
bpo-35411: Skip test_urllib2net FTP tests on Travis CI (GH-10907)
https://github.com/python/cpython/commit/c7976da5c262be818a06c344d43ac09b1083c80b
msg331174 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-05 21:31
Nathaniel Smith has an explanation.

[Python-Dev] test_urllib2net fixed to repair Travis CI
https://mail.python.org/pipermail/python-dev/2018-December/155929.html

Travis is in the middle of moving everything from AWS to GCE, which is
probably related:

https://blog.travis-ci.com/2018-11-19-required-linux-infrastructure-migration

As noted there, GCE has different IP addresses. But I suspect it's not the
new IP address that's the problem, but rather the fact that the GCE setup
is known to break outgoing ftp:

https://blog.travis-ci.com/2018-07-23-the-tale-of-ftp-at-travis-ci

-n
msg331243 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-06 19:21
test_urllib2net still fails on Travis CI. See for example https://api.travis-ci.org/v3/job/464509821/log.txt.
msg331282 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-07 09:53
> test_urllib2net still fails on Travis CI. See for example https://api.travis-ci.org/v3/job/464509821/log.txt.

Do you have a reference to the pull request?

"ERROR: test_ftp_default_timeout (test.test_urllib2net.TimeoutTest)"

It seems like Travis CI ran an outdated version of date. Likely a pull request that hasn't been merged into master. See my email:
https://mail.python.org/pipermail/python-dev/2018-December/155928.html

If your wrote the PR before my fix and the test fails, you have to update your PR.
msg331297 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-07 11:40
Seems this is a glitch of Travis CI. PR 794 was created long time ago, and while it was regularly merged with master, tests become failing after recent updated. I expect that similar issues can be repeated with other old PRs.

After creating a copy of that PR (see PR 11017), all tests are passed.
msg336572 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2019-02-25 23:16
New changeset 8bcbc7896d1fe1c289bae339d408fdf1472a00fa by larryhastings (Victor Stinner) in branch '3.5':
bpo-35411: Skip test_urllib2net FTP tests on Travis CI (GH-10907) (#11874)
https://github.com/python/cpython/commit/8bcbc7896d1fe1c289bae339d408fdf1472a00fa
msg359100 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2019-12-31 05:15
New changeset f82e59ac4020a64c262a925230a8eb190b652e87 by Senthil Kumaran in branch '2.7':
[2.7] bpo-27973 - Fix for urllib.urlretrieve() failing on second ftp transfer (#1040)
https://github.com/python/cpython/commit/f82e59ac4020a64c262a925230a8eb190b652e87
History
Date User Action Args
2022-04-11 14:59:08adminsetgithub: 79592
2019-12-31 05:15:00orsenthilsetnosy: + orsenthil
messages: + msg359100
2019-02-25 23:16:41larrysetnosy: + larry, lukasz.langa
messages: + msg336572
2019-02-15 13:10:30vstinnersetpull_requests: + pull_request11907
2019-02-15 12:21:45vstinnersetpull_requests: + pull_request11906
2018-12-07 11:40:06serhiy.storchakasetstatus: open -> closed

messages: + msg331297
stage: patch review -> resolved
2018-12-07 11:05:35vstinnersetstage: resolved -> patch review
pull_requests: + pull_request10251
2018-12-07 09:53:18vstinnersetmessages: + msg331282
2018-12-06 19:21:11serhiy.storchakasetstatus: closed -> open
priority: normal -> release blocker

nosy: + serhiy.storchaka, ned.deily, benjamin.peterson
messages: + msg331243
2018-12-05 21:31:57vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg331174

stage: patch review -> resolved
2018-12-05 01:22:05miss-islingtonsetmessages: + msg331085
2018-12-05 01:19:00vstinnersetmessages: + msg331084
2018-12-05 01:16:44miss-islingtonsetnosy: + miss-islington
messages: + msg331083
2018-12-05 01:01:31miss-islingtonsetpull_requests: + pull_request10149
2018-12-05 00:58:54miss-islingtonsetpull_requests: + pull_request10148
2018-12-05 00:58:47miss-islingtonsetpull_requests: + pull_request10147
2018-12-05 00:58:41vstinnersetmessages: + msg331082
2018-12-04 23:53:09vstinnersetmessages: + msg331081
2018-12-04 23:51:18vstinnersetpull_requests: + pull_request10146
2018-12-04 22:41:17vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request10145
2018-12-04 22:14:50vstinnersetmessages: + msg331079
2018-12-04 22:08:09vstinnercreate